{ config, pkgs, ... }:

{
  imports =
    [
      # Include the results of the hardware scan.
      ./hardware-configuration.nix

      # Shared config of all machines
      /data/nixos/share/common.nix
    ];

  # x86-64 machine
  nixpkgs.hostPlatform = "x86_64-linux";
  boot.loader.efi.canTouchEfiVariables = true;

  # our hostname
  networking.hostName = "beta";
  networking.hostId = "c07bab49";

  # german laptop keyboard
  services.xserver.xkb.layout = "de";
}
